Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

  • Hey guys, having some issues emulating N64 ROMs. I've tried various different emulators for N64, and it seems mupen64plus-glide64 is the best one so far as I get perfect audio, but no video. All other emulators either left me on a black screen or crashed back to the RetroPie game select menu. I've also tried the different combinations between each emulator and video modes, but no luck. Every other console emulates no problem, just the N64.

    ~

    Pi Model or other hardware: Ubuntu 20.04 LTS running on a Dell Inspiron 530 (Intel Core 2 Quad Q6600, 4GB RAM)
    Power Supply used: Dell Inspiron 530's AC 120/230 V (50/60 Hz) power supply
    RetroPie Version Used: 4.6.4 x86
    Built From: Debian install
    USB Devices connected: WD Essentials 2TB external hard drive (for some ROMs; all others are stored locally on an internal drive. Tried storing N64 ROMs on both)
    Controller used: keyboard
    Error messages received: n/a
    Verbose log: n/a
    Guide used: n/a
    File: all N64 ROMs. I've tried various ROMs from different sites
    Emulator: tried lr-mupen64plus-next, lr-mupen64plus, lr-parallel-n64, mupen64plus-glide64, mupen64plus-GlideN64-LLE, and mupen64plus-GlideN64
    Attachment of config files: n/a
    How to replicate the problem: n/a

  • Global Moderator

    Can you try and get a verbose log from lr-mupen64plus-next ? Post it on pastebin.com and provide the link.

    Can you also post the output of the glxinfo command ?


  • Here's my verbose log and glxinfo, though I'm not sure I did the second one right.

  • Global Moderator

    Looks like your GPU is too old and doesn't support the OpenGL version requested by the emulator:
    glxinfo shows:

    OpenGL version string: 1.4 Mesa 20.0.8
    

    while the emulator requires OpenGL 3.3

    [INFO] [Environ]: SET_HW_RENDER.
    [INFO] Requesting core OpenGL context (3.3).
    ...
    [INFO] [GLX]: Creating context for requested version 3.3.
    [WARN] [GLX]: X error message: GLXBadFBConfig, request code: 152, minor code: 34
    [xcb] Unknown sequence number while processing queue
    [xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
    [xcb] Aborting, sorry about that.
    ...
    

  • @mitu got it. sounds like I need to upgrade my GPU then

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.